=== debian/Makefile ===
#
#
# (c) 2004-2007 Laurent Vivier <Laurent@Vivier.EU>
#
#

TOP = $(shell pwd)

SOURCES = changelog compat control copyright emile-bootblocks.dirs \
	  emile-bootblocks.install emile-bootblocks.postinst emile.install \
	  Makefile rules

include $(TOP)/../tools.mk
include $(TOP)/../Rules.mk
