=== debian/changelog ===
emile (0.14+m68k) unreleased; urgency=medium

  * Rebuild for unreleased.
  * Bump compatibility level to 9.
  * Fix multiple build issues:
    - second: make console_putchar() inline in console.c only
    - tools: remove Makefile from SOURCES variable
    - tools: fix source path for installation of tools binaries
    - remove trailing spaces from multiple Makefiles
    - scripts: don't bail out when no m68k cross-compiler can be found
    - libunix: add -ffreestanding to CFLAGS to fix nonnull-compare warning

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 15 Mar 2017 23:06:58 +0100

emile (0.14) unstable; urgency=low

  * update to gcc-4.8 support and kernel 3.10

 -- Laurent Vivier <Laurent@vivier.eu>  Thu, 05 Sep 2013 14:06:35 +0200

emile (0.13) unstable; urgency=low

  * add apple_driver to boot from CDROM

 -- Laurent Vivier <Laurent@vivier.eu>  Tue, 01 Feb 2011 00:37:54 +0100

emile (0.12) unstable; urgency=low

  * add multiboot
  * add ext2 support

 -- Laurent Vivier <Laurent@lvivier.info>  Sun, 27 Jul 2008 19:16:28 +0200

emile (0.11) unstable; urgency=low

  * debian packaging integration in EMILE CVS

 -- Laurent Vivier <Laurent@lvivier.info>  Sun, 08 Oct 2006 18:50:34 +0200

emile (0.10-1) unstable; urgency=low

  * Initial upload. Closes: #312269

 -- Wouter Verhelst <wouter@debian.org>  Wed, 05 Jul 2005 23:35:17 +0300
